<h2 class="mb-3">Anmelden</h2>

<form name="form" (ngSubmit)="f.form.valid && login()" #f="ngForm">
  <div class="form-group">
    <label for="user" i18n>E-Mail-Adresse</label>
    <input class="form-control"
           type="text" name="user"
           id="user"
           [(ngModel)]="model.user"
           #user="ngModel"
           required email>
    <app-show-form-errors [control]="user"></app-show-form-errors>
  </div>
  <div class="form-group">
    <label for="loginPassword" i18n>Passwort</label>
    <input class="form-control"
           type="password"
           name="password"
           id="loginPassword"
           [(ngModel)]="model.password"
           #password="ngModel"
           required>
    <app-show-form-errors [control]="password"></app-show-form-errors>
  </div>
  <div class="form-group">
    <button [disabled]="loading" class="btn btn-primary btn-block" i18n>
      <i class="fas fa-sign-in-alt"></i> Anmelden
      <span class="ml-3 spinner-grow spinner-grow-sm" *ngIf="loading" role="status" aria-hidden="true"></span>
      <span class="sr-only">laden...</span>
    </button>
  </div>
</form>
<alert *ngIf="error" type="danger">{{errorMessage}}</alert>
<span><a routerLink="/start/forgetPassword" i18n>Passwort vergessen?</a></span><br>
<span><a routerLink="/start/register" i18n>Neuen Account anlegen</a></span>

